Subject: Comment on draft-ietf-rtgwg-policy-model-00.txt

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 12 Oct 2015 23:39:11 +0000

Hi Anees, Rob, Kevin, Chris,

One thing I’d like considered is moving the match-neighbor-set from the
inside the policy definitions to the application of the policies. The main
reasons for this are:

   1. When applying policies via the call-policy leaf, doing
route-seletion, neighbor-selection, and route attribute setting at
multiple call stack levels can be unnecessarily complex and subject to
various interpretation of ordering. This is complex enough with the routes
selection and attributes varying at multiple levels. It really becomes
unwieldy if both the route selection and neighbor selection varies at
multiple levels. If this is to remain, the semantics need to be precisely
defined. 

   2. For many routing policy applications, neighbor-set-matching isn’t
applicable (e.g., IGP import policy).

Thanks,
Acee